## org.jfree.chart.urls
Interface XYURLGenerator

All Known Subinterfaces:
  XYZURLGenerator

All Known Implementing Classes:
  CustomXYURLGenerator, StandardXYURLGenerator, StandardXYZURLGenerator, TimeSeriesURLGenerator

    public interface XYURLGenerator

Interface for a URL generator for plots that uses data from an `XYDataset`.

Author:
  Richard Atkinson

Method Summary
`java.lang.String` `generateURL(XYDataset dataset, int series, int item)` Generates a URL for a particular item within a series.

Method Detail

### generateURL

    java.lang.String generateURL(XYDataset dataset,
                                 int series,
                                 int item)

  Generates a URL for a particular item within a series. As a guideline, the URL should be valid within the context of an XHTML 1.0 document.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    A string containing the generated URL (possibly `null`).